EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
EMF::GRAPHICSOBJECT Class Referenceabstract

A global graphics object. More...

`#include <libemf.h>`

Inheritance diagram for EMF::GRAPHICSOBJECT:

## Public Member Functions
virtual | ~GRAPHICSOBJECT ()
| GRAPHICSOBJECTs has a virtual destructor.
virtual METARECORD * | newEMR (HDC dc, HGDIOBJ handle)=0
Public Member Functions inherited from EMF::OBJECT
virtual | ~OBJECT ()
| OBJECTs have a virtual destructor.
| OBJECT (void)
virtual OBJECTTYPE | getType (void) const =0

## Public Attributes
std::map< HDC, HGDIOBJ > | contexts
Public Attributes inherited from EMF::OBJECT
HGDIOBJ | handle

## Detailed Description

A global graphics object.

Graphics objects have some additional properties: When an object is Select'ed into a device context, the handle for that context is added to the list of context's in which this object is used.

## Member Function Documentation

virtual METARECORD* EMF::GRAPHICSOBJECT::newEMR | ( | HDC | dc,
|  | HGDIOBJ | handle
| ) |  |
| pure virtual

Create a new metarecord which describes this object.

Parameters

  dc | the handle to the device context.
  handle | (appears not to used. Note the handle is really assigned at serialization time.)

Implemented in EMF::PALETTE, EMF::FONT, EMF::BRUSH, EMF::EXTPEN, and EMF::PEN.

## Member Data Documentation

std::map< HDC, HGDIOBJ > EMF::GRAPHICSOBJECT::contexts

A set of all the contexts into which this object has been selected and the associated metafile handle for the object.

The documentation for this class was generated from the following file:

- libemf.h